# std::experimental::ostream_joiner<DelimT,CharT,Traits>::operator*

From cppreference.com
< cpp‎ | experimental‎ | ostream joiner

ostream_joiner& operator*() noexcept; |  | (library fundamentals TS v2)

Does nothing, this member function is provided to satisfy the requirements of LegacyOutputIterator.

It returns the iterator itself, which makes it possible to use code such as *iter = value to output (insert) the value into the underlying stream.

### Parameters

(none)

### Return value

*this

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/experimental/ostream_joiner/operator*&oldid=103381"